Hide navigation sidebar
Hide table of contents sidebar
Skip to content

- Home

Usage guide

- Installation
- Quickstart
- Nesting schemas
- Custom fields
- Extending schemas
  Toggle navigation of Extending schemas
  - Pre-processing and post-processing methods
  - Schema-level validation
  - Using original input data
  - Overriding how attributes are accessed
  - Custom error handling
  - Custom `class Meta` options
  - Using context
  - Custom error messages
- Examples
  Toggle navigation of Examples
  - Validating `package.json`
  - Quotes API (Flask + SQLAlchemy)
  - Inflection (camel-cased keys)

API reference

- Top-level API
- Schema
- Fields
- Decorators
- Validators
- Utility functions
- Exceptions
- Private API
  Toggle navigation of Private API
  - Types
  - Class registry
  - Error store

Project info

- Why marshmallow?
- Changelog
- Upgrading to newer releases
- Who’s using marshmallow?
- License
- Authors
- Contributing guidelines
- Code of Conduct
- Kudos
- Donate

Useful links

- marshmallow @ PyPI
- marshmallow @ GitHub
- Issue Tracker
- Ecosystem

Back to top
View this page
Toggle table of contents sidebar

# Schema